Bug 118180 - Can not load css and xsl files over secure server w/o authentication
Summary: Can not load css and xsl files over secure server w/o authentication
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Web Application Framework
Classification: Retired
Component: other (Show other bugs)
(Show other bugs)
Version: nightly
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: ccm-bugs-list
QA Contact: Jon Orris
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-03-12 21:19 UTC by Brett Prucha
Modified: 2007-04-18 17:04 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-05 16:35:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Brett Prucha 2004-03-12 21:19:15 UTC
Description of problem:

DefaultSecurityHelper.requiresLogin() will allow you to access any 
page over a non secure connection without authenticating first.  When 
you are over a secure connection you are only allowed to access 
allowedPages.  The problem with that is that css and xsl files are 
not on the allowedPages so if a user trys to access the login page 
over a secure connection guess what???  They can't get the css files 
to format the login page.  Worse yet, if PatternStylesheetResolver 
trys to get xsl files over a secure connection it will either throw a 
java.security.cert.CertificateException or be grabbing the login page 
rather then the xsl file!

Comment 1 Brett Prucha 2004-04-05 16:35:28 UTC
I changed the ccm-dispatcher to /* which was why I was having this 
problem


Note You need to log in before you can comment on or make changes to this bug.